#!/bin/bash

cd `dirname $0`
echo `basename $0` is at `pwd`

BASE_HOME=.
CONFIG_HOME=$BASE_HOME/cfg

RESOLVED_CONFIG_HOME=`cd "$CONFIG_HOME"; pwd`
export CLASSPATH=$RESOLVED_CONFIG_HOME

for i in `ls $BASE_HOME/lib/*.jar`; do
	CLASSPATH=$i:$CLASSPATH
done

VM_PARAM=
VM_PARAM="$VM_PARAM -Xmx2048m -Xms512m -XX:+HeapDumpOnOutOfMemoryError "
VM_PARAM="$VM_PARAM -Dlog4j.configurationFile=./cfg/log4j2.xml -DAsyncLoggerConfig.RingBufferSize=12800 -Dlog4j2.AsyncQueueFullPolicy=com.sse.exception.CustomDiscardingLogAsyncQueueFullPolicy"
VM_PARAM="$VM_PARAM -Dorg.sqlite.tmpdir=./tmp"
VM_PARAM="$VM_PARAM -Dvertx.cacheDirBase=/tmp/vertx-cache"
#VM_PARAM="$VM_PARAM -Depoll=true "
#VM_PARAM="$VM_PARAM -verbose:GC -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:gc.log.$(date +%Y%m%d%H%M%S)"
#VM_PARAM="$VMPARAM -Dio.netty.leakDetectionLevel=paranoid -DnoWebTask=marketDataTask"

nohup java $VM_PARAM -classpath $CLASSPATH com.security.sse.BootStrap $* &
echo "mdgw starting"
